Get operator account detail
import requests
url = "https://api.13-215-85-171.sslip.io/v1/admin/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tier": "<string>",
"quota_tier_id": "<string>",
"is_operator": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"display_name": "<string>",
"avatar_url": "<string>",
"email_verified_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z",
"delete_scheduled_at": "2023-11-07T05:31:56Z",
"abuse_flags": {}
},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quota_tier_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z"
},
"quota_tier": {
"id": "<string>",
"display_name": "<string>",
"max_concurrent_sandboxes": 123,
"daily_sandbox_creates": 123,
"daily_gb_hours": 123
},
"quota_usage": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usage_date": "2023-12-25",
"sandbox_creates": 123,
"gb_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"api_keys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prefix": "ns_live_a1b2",
"is_active": true,
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"scope": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"rotation_parent_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sandboxes": [
{
"id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"started_at": "2023-11-07T05:31:56Z",
"destroyed_at": "2023-11-07T05:31:56Z",
"cpu_count": 123,
"memory_mb": 123,
"disk_mb": 123,
"timeout_ms": 123
}
]
}Admin
Get operator account detail
GET
/
v1
/
admin
/
users
/
{user_id}
Get operator account detail
import requests
url = "https://api.13-215-85-171.sslip.io/v1/admin/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tier": "<string>",
"quota_tier_id": "<string>",
"is_operator": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"display_name": "<string>",
"avatar_url": "<string>",
"email_verified_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z",
"delete_scheduled_at": "2023-11-07T05:31:56Z",
"abuse_flags": {}
},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quota_tier_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z"
},
"quota_tier": {
"id": "<string>",
"display_name": "<string>",
"max_concurrent_sandboxes": 123,
"daily_sandbox_creates": 123,
"daily_gb_hours": 123
},
"quota_usage": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usage_date": "2023-12-25",
"sandbox_creates": 123,
"gb_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"api_keys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prefix": "ns_live_a1b2",
"is_active": true,
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"scope": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"rotation_parent_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sandboxes": [
{
"id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"started_at": "2023-11-07T05:31:56Z",
"destroyed_at": "2023-11-07T05:31:56Z",
"cpu_count": 123,
"memory_mb": 123,
"disk_mb": 123,
"timeout_ms": 123
}
]
}Authorizations
Supabase Auth access token passed as Bearer token
Path Parameters
Self-serve account user ID
Response
Account, keys, quota usage, and sandbox detail
⌘I